Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network47.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
47.0.0.0
Broadcast address
47.63.255.255
First usable
47.0.0.1
Last usable
47.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 2F000000 · Integer 788529152 to 792723455
Reverse DNS zones
0.47.in-addr.arpa
1.47.in-addr.arpa
2.47.in-addr.arpa
3.47.in-addr.arpa
4.47.in-addr.arpa
5.47.in-addr.arpa
6.47.in-addr.arpa
7.47.in-addr.arpa
8.47.in-addr.arpa
9.47.in-addr.arpa
10.47.in-addr.arpa
11.47.in-addr.arpa
12.47.in-addr.arpa
13.47.in-addr.arpa
14.47.in-addr.arpa
15.47.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101111.00000000.00000000.0000000047.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101111.00000000.00000000.0000000047.0.0.0
Broadcast00101111.00111111.11111111.1111111147.63.255.255
Split into smaller subnets/17

47.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
147.0.0.0/1747.0.0.1 to 47.0.127.25447.0.127.25532,766
247.0.128.0/1747.0.128.1 to 47.0.255.25447.0.255.25532,766
347.1.0.0/1747.1.0.1 to 47.1.127.25447.1.127.25532,766
447.1.128.0/1747.1.128.1 to 47.1.255.25447.1.255.25532,766
547.2.0.0/1747.2.0.1 to 47.2.127.25447.2.127.25532,766
647.2.128.0/1747.2.128.1 to 47.2.255.25447.2.255.25532,766
747.3.0.0/1747.3.0.1 to 47.3.127.25447.3.127.25532,766
847.3.128.0/1747.3.128.1 to 47.3.255.25447.3.255.25532,766
947.4.0.0/1747.4.0.1 to 47.4.127.25447.4.127.25532,766
1047.4.128.0/1747.4.128.1 to 47.4.255.25447.4.255.25532,766
1147.5.0.0/1747.5.0.1 to 47.5.127.25447.5.127.25532,766
1247.5.128.0/1747.5.128.1 to 47.5.255.25447.5.255.25532,766
1347.6.0.0/1747.6.0.1 to 47.6.127.25447.6.127.25532,766
1447.6.128.0/1747.6.128.1 to 47.6.255.25447.6.255.25532,766
1547.7.0.0/1747.7.0.1 to 47.7.127.25447.7.127.25532,766
1647.7.128.0/1747.7.128.1 to 47.7.255.25447.7.255.25532,766
1747.8.0.0/1747.8.0.1 to 47.8.127.25447.8.127.25532,766
1847.8.128.0/1747.8.128.1 to 47.8.255.25447.8.255.25532,766
1947.9.0.0/1747.9.0.1 to 47.9.127.25447.9.127.25532,766
2047.9.128.0/1747.9.128.1 to 47.9.255.25447.9.255.25532,766
2147.10.0.0/1747.10.0.1 to 47.10.127.25447.10.127.25532,766
2247.10.128.0/1747.10.128.1 to 47.10.255.25447.10.255.25532,766
2347.11.0.0/1747.11.0.1 to 47.11.127.25447.11.127.25532,766
2447.11.128.0/1747.11.128.1 to 47.11.255.25447.11.255.25532,766
2547.12.0.0/1747.12.0.1 to 47.12.127.25447.12.127.25532,766
2647.12.128.0/1747.12.128.1 to 47.12.255.25447.12.255.25532,766
2747.13.0.0/1747.13.0.1 to 47.13.127.25447.13.127.25532,766
2847.13.128.0/1747.13.128.1 to 47.13.255.25447.13.255.25532,766
2947.14.0.0/1747.14.0.1 to 47.14.127.25447.14.127.25532,766
3047.14.128.0/1747.14.128.1 to 47.14.255.25447.14.255.25532,766
3147.15.0.0/1747.15.0.1 to 47.15.127.25447.15.127.25532,766
3247.15.128.0/1747.15.128.1 to 47.15.255.25447.15.255.25532,766
3347.16.0.0/1747.16.0.1 to 47.16.127.25447.16.127.25532,766
3447.16.128.0/1747.16.128.1 to 47.16.255.25447.16.255.25532,766
3547.17.0.0/1747.17.0.1 to 47.17.127.25447.17.127.25532,766
3647.17.128.0/1747.17.128.1 to 47.17.255.25447.17.255.25532,766
3747.18.0.0/1747.18.0.1 to 47.18.127.25447.18.127.25532,766
3847.18.128.0/1747.18.128.1 to 47.18.255.25447.18.255.25532,766
3947.19.0.0/1747.19.0.1 to 47.19.127.25447.19.127.25532,766
4047.19.128.0/1747.19.128.1 to 47.19.255.25447.19.255.25532,766
4147.20.0.0/1747.20.0.1 to 47.20.127.25447.20.127.25532,766
4247.20.128.0/1747.20.128.1 to 47.20.255.25447.20.255.25532,766
4347.21.0.0/1747.21.0.1 to 47.21.127.25447.21.127.25532,766
4447.21.128.0/1747.21.128.1 to 47.21.255.25447.21.255.25532,766
4547.22.0.0/1747.22.0.1 to 47.22.127.25447.22.127.25532,766
4647.22.128.0/1747.22.128.1 to 47.22.255.25447.22.255.25532,766
4747.23.0.0/1747.23.0.1 to 47.23.127.25447.23.127.25532,766
4847.23.128.0/1747.23.128.1 to 47.23.255.25447.23.255.25532,766
4947.24.0.0/1747.24.0.1 to 47.24.127.25447.24.127.25532,766
5047.24.128.0/1747.24.128.1 to 47.24.255.25447.24.255.25532,766
5147.25.0.0/1747.25.0.1 to 47.25.127.25447.25.127.25532,766
5247.25.128.0/1747.25.128.1 to 47.25.255.25447.25.255.25532,766
5347.26.0.0/1747.26.0.1 to 47.26.127.25447.26.127.25532,766
5447.26.128.0/1747.26.128.1 to 47.26.255.25447.26.255.25532,766
5547.27.0.0/1747.27.0.1 to 47.27.127.25447.27.127.25532,766
5647.27.128.0/1747.27.128.1 to 47.27.255.25447.27.255.25532,766
5747.28.0.0/1747.28.0.1 to 47.28.127.25447.28.127.25532,766
5847.28.128.0/1747.28.128.1 to 47.28.255.25447.28.255.25532,766
5947.29.0.0/1747.29.0.1 to 47.29.127.25447.29.127.25532,766
6047.29.128.0/1747.29.128.1 to 47.29.255.25447.29.255.25532,766
6147.30.0.0/1747.30.0.1 to 47.30.127.25447.30.127.25532,766
6247.30.128.0/1747.30.128.1 to 47.30.255.25447.30.255.25532,766
6347.31.0.0/1747.31.0.1 to 47.31.127.25447.31.127.25532,766
6447.31.128.0/1747.31.128.1 to 47.31.255.25447.31.255.25532,766
6547.32.0.0/1747.32.0.1 to 47.32.127.25447.32.127.25532,766
6647.32.128.0/1747.32.128.1 to 47.32.255.25447.32.255.25532,766
6747.33.0.0/1747.33.0.1 to 47.33.127.25447.33.127.25532,766
6847.33.128.0/1747.33.128.1 to 47.33.255.25447.33.255.25532,766
6947.34.0.0/1747.34.0.1 to 47.34.127.25447.34.127.25532,766
7047.34.128.0/1747.34.128.1 to 47.34.255.25447.34.255.25532,766
7147.35.0.0/1747.35.0.1 to 47.35.127.25447.35.127.25532,766
7247.35.128.0/1747.35.128.1 to 47.35.255.25447.35.255.25532,766
7347.36.0.0/1747.36.0.1 to 47.36.127.25447.36.127.25532,766
7447.36.128.0/1747.36.128.1 to 47.36.255.25447.36.255.25532,766
7547.37.0.0/1747.37.0.1 to 47.37.127.25447.37.127.25532,766
7647.37.128.0/1747.37.128.1 to 47.37.255.25447.37.255.25532,766
7747.38.0.0/1747.38.0.1 to 47.38.127.25447.38.127.25532,766
7847.38.128.0/1747.38.128.1 to 47.38.255.25447.38.255.25532,766
7947.39.0.0/1747.39.0.1 to 47.39.127.25447.39.127.25532,766
8047.39.128.0/1747.39.128.1 to 47.39.255.25447.39.255.25532,766
8147.40.0.0/1747.40.0.1 to 47.40.127.25447.40.127.25532,766
8247.40.128.0/1747.40.128.1 to 47.40.255.25447.40.255.25532,766
8347.41.0.0/1747.41.0.1 to 47.41.127.25447.41.127.25532,766
8447.41.128.0/1747.41.128.1 to 47.41.255.25447.41.255.25532,766
8547.42.0.0/1747.42.0.1 to 47.42.127.25447.42.127.25532,766
8647.42.128.0/1747.42.128.1 to 47.42.255.25447.42.255.25532,766
8747.43.0.0/1747.43.0.1 to 47.43.127.25447.43.127.25532,766
8847.43.128.0/1747.43.128.1 to 47.43.255.25447.43.255.25532,766
8947.44.0.0/1747.44.0.1 to 47.44.127.25447.44.127.25532,766
9047.44.128.0/1747.44.128.1 to 47.44.255.25447.44.255.25532,766
9147.45.0.0/1747.45.0.1 to 47.45.127.25447.45.127.25532,766
9247.45.128.0/1747.45.128.1 to 47.45.255.25447.45.255.25532,766
9347.46.0.0/1747.46.0.1 to 47.46.127.25447.46.127.25532,766
9447.46.128.0/1747.46.128.1 to 47.46.255.25447.46.255.25532,766
9547.47.0.0/1747.47.0.1 to 47.47.127.25447.47.127.25532,766
9647.47.128.0/1747.47.128.1 to 47.47.255.25447.47.255.25532,766
9747.48.0.0/1747.48.0.1 to 47.48.127.25447.48.127.25532,766
9847.48.128.0/1747.48.128.1 to 47.48.255.25447.48.255.25532,766
9947.49.0.0/1747.49.0.1 to 47.49.127.25447.49.127.25532,766
10047.49.128.0/1747.49.128.1 to 47.49.255.25447.49.255.25532,766
10147.50.0.0/1747.50.0.1 to 47.50.127.25447.50.127.25532,766
10247.50.128.0/1747.50.128.1 to 47.50.255.25447.50.255.25532,766
10347.51.0.0/1747.51.0.1 to 47.51.127.25447.51.127.25532,766
10447.51.128.0/1747.51.128.1 to 47.51.255.25447.51.255.25532,766
10547.52.0.0/1747.52.0.1 to 47.52.127.25447.52.127.25532,766
10647.52.128.0/1747.52.128.1 to 47.52.255.25447.52.255.25532,766
10747.53.0.0/1747.53.0.1 to 47.53.127.25447.53.127.25532,766
10847.53.128.0/1747.53.128.1 to 47.53.255.25447.53.255.25532,766
10947.54.0.0/1747.54.0.1 to 47.54.127.25447.54.127.25532,766
11047.54.128.0/1747.54.128.1 to 47.54.255.25447.54.255.25532,766
11147.55.0.0/1747.55.0.1 to 47.55.127.25447.55.127.25532,766
11247.55.128.0/1747.55.128.1 to 47.55.255.25447.55.255.25532,766
11347.56.0.0/1747.56.0.1 to 47.56.127.25447.56.127.25532,766
11447.56.128.0/1747.56.128.1 to 47.56.255.25447.56.255.25532,766
11547.57.0.0/1747.57.0.1 to 47.57.127.25447.57.127.25532,766
11647.57.128.0/1747.57.128.1 to 47.57.255.25447.57.255.25532,766
11747.58.0.0/1747.58.0.1 to 47.58.127.25447.58.127.25532,766
11847.58.128.0/1747.58.128.1 to 47.58.255.25447.58.255.25532,766
11947.59.0.0/1747.59.0.1 to 47.59.127.25447.59.127.25532,766
12047.59.128.0/1747.59.128.1 to 47.59.255.25447.59.255.25532,766
12147.60.0.0/1747.60.0.1 to 47.60.127.25447.60.127.25532,766
12247.60.128.0/1747.60.128.1 to 47.60.255.25447.60.255.25532,766
12347.61.0.0/1747.61.0.1 to 47.61.127.25447.61.127.25532,766
12447.61.128.0/1747.61.128.1 to 47.61.255.25447.61.255.25532,766
12547.62.0.0/1747.62.0.1 to 47.62.127.25447.62.127.25532,766
12647.62.128.0/1747.62.128.1 to 47.62.255.25447.62.255.25532,766
12747.63.0.0/1747.63.0.1 to 47.63.127.25447.63.127.25532,766
12847.63.128.0/1747.63.128.1 to 47.63.255.25447.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses